Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.fst
Class FST.BytesReader

    java.lang.Object
      org.apache.lucene.store.DataInput
          org.apache.lucene.util.fst.FST.BytesReader

All Implemented Interfaces:
  Cloneable

Enclosing class:
  FST<T>

    public abstract static class FST.BytesReader

extends DataInput

Reads the bytes from this FST. Use `FST.getBytesReader(int)` to obtain an instance for this FST; re-use across calls (but only within a single thread) for better performance.

Field Summary
`protected byte[]` | `bytes`
`protected int` | `pos`

Constructor Summary
`protected` | `FST.BytesReader(byte[] bytes, int pos)`

Method Summary

Methods inherited from class org.apache.lucene.store.DataInput
`clone, readByte, readBytes, readBytes, readChars, readInt, readLong, readShort, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pos

    protected int pos

### bytes

    protected final byte[] bytes

Constructor Detail

### FST.BytesReader

    protected FST.BytesReader(byte[] bytes,
                              int pos)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD